% Constructs percentage IRFs in response to a Positive Technology shock


irf_r_ib_crunch      = 100 * 4 * exp(r_ib).*oo_.irfs.r_ib_e_eps_K_b  ;
irf_Y_crunch         = 100 * oo_.irfs.Y_e_eps_K_b     ;    
irf_C_crunch         = 100 * oo_.irfs.C_e_eps_K_b     ;    
irf_I_crunch         = 100 * oo_.irfs.I_e_eps_K_b     ;   
irf_pi_crunch        = 100 * 4 * exp(pie).*oo_.irfs.pie_e_eps_K_b   ; 
irf_b_e_crunch       = 100 * oo_.irfs.b_e_e_eps_K_b   ;
irf_b_h_crunch       = 100 * oo_.irfs.b_h_e_eps_K_b   ;
irf_D_crunch         = 100 * oo_.irfs.D_e_eps_K_b     ;
irf_r_bh_crunch      = 100 * 4 * exp(r_bh).*oo_.irfs.r_bh_e_eps_K_b  ; 
irf_r_be_crunch      = 100 * 4 * exp(r_be).*oo_.irfs.r_be_e_eps_K_b  ;
irf_r_d_crunch       = 100 * 4 * exp(r_d) .*oo_.irfs.r_d_e_eps_K_b  ;
irf_R_b_crunch       = 100 * 4 * exp(R_b) .*oo_.irfs.R_b_e_eps_K_b  ;
irf_sprb_crunch      = 100 * 4 * exp(spr_b).*oo_.irfs.spr_b_e_eps_K_b ;
irf_J_B_crunch       = 100 * oo_.irfs.J_B_e_eps_K_b   ;
irf_rr_e_crunch      = 100 * 4 * oo_.irfs.rr_e_e_eps_K_b   ;
irf_cap_ratio_crunch = 100 * ( exp(oo_.irfs.K_b_e_eps_K_b + K_b) ) ./ ( exp(oo_.irfs.B_e_eps_K_b + B) );


% irf_cap_ratio_crunch2 = 100 * ( exp(K_b)*(1+oo_.irfs.K_b_e_eps_K_b) ./ ( exp(B)*(1+oo_.irfs.B_e_eps_K_b) ) );%  100*( vi + vi.*oo_.irfs.aux1_e_eps_K_b ); 
% irf_cap_ratio_crunch3 = 100 * (oo_.irfs.aux1_e_eps_K_b + aux1 );
% fprintf('\nrelative norm of the difference: ')
% fprintf(' %2.4f%% \n',100*norm(irf_cap_ratio_crunch2 - irf_cap_ratio_crunch)/norm(irf_cap_ratio_crunch));
% fprintf('relative norm of the difference: ')
% fprintf(' %2.4f%% \n',100*norm(irf_cap_ratio_crunch3 - irf_cap_ratio_crunch)/norm(irf_cap_ratio_crunch));


irf_s_i_crunch       = (1 + oo_.irfs.s_i_e_eps_K_b ) * exp(s_i)   ;
irf_s_e_crunch       = (1 + oo_.irfs.s_e_e_eps_K_b ) * exp(s_e)   ;
irf_rr_e_crunch      = (1 + oo_.irfs.rr_e_e_eps_K_b) * exp(rr_e)  ;
irf_aux1_crunch      = (1 + oo_.irfs.aux1_e_eps_K_b) * exp(aux1)  ;

if capital == 0
    irf_K_b_crunch  = 0 * irf_D_crunch;
    
else
    irf_K_b_crunch   = 100 * oo_.irfs.K_b_e_eps_K_b   ;
   
end%if

irf_GNSS = [ irf_r_ib_crunch',  irf_Y_crunch'  ,    irf_C_crunch',       irf_I_crunch',      irf_pi_crunch',  ...       %05
             irf_b_e_crunch' ,  irf_b_h_crunch',    irf_r_bh_crunch',    irf_r_be_crunch',   irf_Y1_crunch',  ...       %10
             irf_K_b_crunch' ,  irf_D_crunch'  ,    irf_r_d_crunch',     irf_J_B_crunch',    irf_cap_ratio_crunch',...  %15
             irf_R_b_crunch',   irf_sprb_crunch',   irf_s_i_crunch' ,    irf_s_e_crunch',    irf_aux1_crunch', ...      %20
             irf_rr_e_crunch',  ...
             ] ;
                      

