
function y = prometheo_solve(x,ZLSS,ZLDSS,KLSS,KLDSS,DCSS,DCNRSS,tau,tau_D,omega_NR,GSS,GDSS,CECSS,cte1,cte2,cte3,...
                             varphi,taumx,Rnustar,mcmx,taumc,mcmc,taumi,mcmi,...
                             omegac,etac,omegai,etai,taux,Rx,mcx,omegax,etax,etaf,phalox,lambdax)
            
            
            CSS = x(1);
            LCSS = x(2);
            ystar = x(3);                          
            %Relative import prices
            pmx=taumx*Rnustar*varphi/mcmx;
            pmc=taumc*Rnustar*varphi/mcmc;
            pmi=taumi*Rnustar*varphi/mcmi;

            %Relative consumption price
            pc=(1-omegac+omegac*pmc^(1-etac))^(1/(1-etac));

            %
            q=varphi/pc;
            
            %Relative investment price
            pinvest=(1-omegai+omegai*pmi^(1-etai))^(1/(1-etai));

            %Relative export price
            px=(taux*Rx/(mcx*varphi))*(omegax*pmx^(1-etax)+1-omegax)^(1/(1-etax));
            
            im=omegai*(pinvest/pmi)^(etai)*(tau*KLSS*LCSS + tau*KLDSS*(1-LCSS)); 
            xm=omegax*(1/pmx*(omegax*pmx^(1-etax)+1-omegax)^(1/(1-etax)))^etax...
                *phalox^(-lambdax/(lambdax-1))*px^(-etaf)*ystar;
            cm=omegac*(pc/pmc)^(etac)*CSS; 
            
            x=px^(-etaf)*ystar;
            lpcU = log(pc);
            lcmU = log(cm);
            limU = log(im);
            lxmU = log(xm);
            lRnustarU = log(Rnustar);
            lqU = log(q);
            lpxU = log(px);
            lxU = log(x);

y(1) = exp(lqU+lpcU+lRnustarU)*( exp(lcmU)  +exp(limU)   +exp(lxmU )) - exp(lqU+lpcU+lpxU+lxU);

y(2) = -ZLSS*LCSS + CECSS*CSS+cte1*CSS + cte2*tau*KLSS*LCSS +cte2*tau*KLDSS*(1-LCSS)+ GSS*ZLSS*LCSS +cte3*ystar;

y(3) = -(1-LCSS)*ZLDSS + (1-omega_NR)*tau_D*DCSS*CSS + omega_NR*tau_D*DCNRSS*CSS+ GDSS*ZLDSS*(1-LCSS);

end